indexing
	description: "Event interface -- raw events, no namespace resolution"
	project: "http://www.nenie.org/eiffel/"
	
deferred class NXML_EVENT_INTERFACE

inherit
	NXML_COMMON_EVENT_INTERFACE
	
feature -- Actions
	
	when_start_tag (a_name: NXML_PARSER_NAME) is
			-- Element start tag.
		require
			not_void: a_name /= Void
		deferred
		end

	when_start_tag_attribute (a_name: NXML_PARSER_NAME; a_value: STRING) is
		require
			name_not_void: a_name /= Void
			value_not_void: a_value /= Void
		deferred
		end
		
	when_start_tag_end is
			-- End of start tag.
		deferred
		end
		
	when_end_tag (a_name: NXML_PARSER_NAME) is
			-- Element end tag.
		require
			not_void: a_name /= Void
			--well_formed: a_name.is_equal (matchin name in start_tag)
		deferred
		end

end

